Nach Update: Kann keine Extensions installieren

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Antworten
Cold
Mitglied
Beiträge: 1137
Registriert: 07.01.2005 20:57
Wohnort: Aachen
Kontaktdaten:

Nach Update: Kann keine Extensions installieren

Beitrag von Cold »

Hallo,

ich habe vor kurzer Zeit mein Forum auf 3.1.1 geupdated. Wollte jetzt die Google Analytics Extensions installieren, doch sie wird unter "Anpassen" im ACP leider nicht angezeigt. Pfad ist: /ext/phpbb/googleanalytics

Wäre nett wenn ihr mir helfen könntet, gebe gerne mehr Details, wenn ich weiß, welche benötigt werden!


Danke und Gruß
Martin
Viele Grüße,
Martin
Luftraumexperten | Schueler Talk | Spar-Taner
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 11038
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Nach Update: Kann keine Extensions installieren

Beitrag von Crizzo »

Hi,

der Pfad ist vermutlich falsch. Schau mal in die composer.json, wie der Pfad lauten muss. Vermutlich nicht ext/phpbb/...

Grüße
Cold
Mitglied
Beiträge: 1137
Registriert: 07.01.2005 20:57
Wohnort: Aachen
Kontaktdaten:

Re: Nach Update: Kann keine Extensions installieren

Beitrag von Cold »

Hi,

welcher Pfad denn? Da steht jetzt nicht gerade viel in Zusammenhang mit meinem Forum.

Code: Alles auswählen

{
    "name": "phpbb/phpbb",
    "description": "phpBB Forum Software application",
    "type": "project",
    "keywords": ["phpbb", "forum"],
    "homepage": "https://www.phpbb.com",
    "license": "GPL-2.0",
    "authors": [
        {
            "name": "phpBB Limited",
            "email": "operations@phpbb.com",
            "homepage": "https://www.phpbb.com/go/authors"
        }
    ],
    "support": {
        "issues": "https://tracker.phpbb.com",
        "forum": "https://www.phpbb.com/community/",
        "wiki": "https://wiki.phpbb.com",
        "irc": "irc://irc.freenode.org/phpbb"
    },
    "scripts": {
        "post-update-cmd": "echo 'You MUST manually modify the clean-vendor-dir target in build/build.xml when adding or upgrading dependencies.'"
    },
    "replace": {
        "phpbb/phpbb-core": "self.version"
    },
    "require": {
        "php": ">=5.3.3",
        "lusitanian/oauth": "0.2.*",
        "symfony/config": "2.3.*",
        "symfony/console": "2.3.*",
        "symfony/dependency-injection": "2.3.*",
        "symfony/event-dispatcher": "2.3.*",
        "symfony/http-kernel": "2.3.*",
        "symfony/routing": "2.3.*",
        "symfony/yaml": "2.3.*",
        "twig/twig": "1.13.*"
    },
    "require-dev": {
        "fabpot/goutte": "1.0.*",
        "phpunit/dbunit": "1.3.*",
        "phpunit/phpunit": "4.1.*",
        "phing/phing": "2.4.*",
        "sami/sami": "1.*",
        "squizlabs/php_codesniffer": "1.*",
        "symfony/browser-kit": "2.3.*",
        "symfony/css-selector": "2.3.*",
        "symfony/debug": "2.3.*",
        "symfony/dom-crawler": "2.3.*",
        "symfony/filesystem": "2.3.*",
        "symfony/finder": "2.3.*",
        "symfony/http-foundation": "2.3.*",
        "symfony/process": "2.3.*"
    }
}
 
Gruß
Martin
Viele Grüße,
Martin
Luftraumexperten | Schueler Talk | Spar-Taner
Benutzeravatar
HabNurNeFrage
Ehemaliges Teammitglied
Beiträge: 1627
Registriert: 17.01.2010 20:22
Wohnort: An der Ostsee
Kontaktdaten:

Re: Nach Update: Kann keine Extensions installieren

Beitrag von HabNurNeFrage »

Hi,

der Pfad ist korrekt: http://www.schueler-talk.de/ext/phpbb/g ... poser.json
Genau da soll sie sitzen laut phpbb.com.

Schwer zu sagen, woran es liegen könnte...

LG
| HomeStory.org - the friendly Community | Forum für alle Lebenslagen | <"}))}~ | Nicht nachmachen: Meine phpBB Spielereien |
var shoppen = geld.replace (/geld/g, 'bloedsinn'); if (geld < 1) { return home; };
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 11038
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Nach Update: Kann keine Extensions installieren

Beitrag von Crizzo »

Dann sollte die Zeile "name" in der composer.json, aber nicht phpbb/phpbb sein, sondern nach dem / googleanalytics heißen:

Code: Alles auswählen

"name": "phpbb/googleanalytics",
Benutzeravatar
HabNurNeFrage
Ehemaliges Teammitglied
Beiträge: 1627
Registriert: 17.01.2010 20:22
Wohnort: An der Ostsee
Kontaktdaten:

Re: Nach Update: Kann keine Extensions installieren

Beitrag von HabNurNeFrage »

Hi,

so schauts im original Download auch aus.

Ggf. nochmals die offizielle, aktuelle Version aus obigem Link laden und erneut versuchen...

LG
| HomeStory.org - the friendly Community | Forum für alle Lebenslagen | <"}))}~ | Nicht nachmachen: Meine phpBB Spielereien |
var shoppen = geld.replace (/geld/g, 'bloedsinn'); if (geld < 1) { return home; };
Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 11038
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Nach Update: Kann keine Extensions installieren

Beitrag von Crizzo »

Nein.

Die offizielle Extension sieht im "Kopf" der composer.json so aus:

Code: Alles auswählen

{
	"name": "phpbb/googleanalytics",
	"type": "phpbb-extension",
	"description": "An extension that allows administrators to easily add their Google Analytics tracking code to their phpBB forum.",
	"homepage": "https://phpbb.com",
	"version": "1.0.0",
	"keywords": ["phpbb", "extension", "google", "analytics"],
	"license": "GPL-2.0",
	"authors": [
Da ist "name": korrekt.

Bitte hier runterladen: https://www.phpbb.com/customise/db/exte ... analytics/

Grüße
Antworten

Zurück zu „Support-Forum“